Skip to main content
PUT
Update Agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string
required
tenant
string
required

The domain of the customer

Example:

"example.com"

Body

application/json
name
string
required

The name of the agent

id
string | null

The id of the agent

description
string | null

The description of the agent

instructions
string | null

Free-text instructions that shape how the agent responds, such as its audience, role, tone, guardrails, and answer format

Maximum string length: 10000
created_at
string<date-time> | null

The date when the agent was created

updated_at
string<date-time> | null

The date when the agent was last updated

permissions
Permission · object[] | null

The permissions of the agent

sources
DataSource · object[] | null

The sources of the agent

glossary_ids
string[] | null

The IDs of glossaries associated with the agent

skill_ids
string[] | null

The IDs of skills associated with the agent

dynamic_filters
AgentMetadataFilterField · object[] | null

Low-cardinality metadata fields that the agent may use to scope searches

dynamic_filter_instructions
string | null

Instructions that help the agent select metadata filter values for a question

Maximum string length: 10000
llm_profile_id
string | null

The ID of the LLM profile that the agent uses, one of the profiles from GET /tenants/{tenant}/llm_profiles. The agent uses the tenant default model when it is null.

Response

Successful Response

name
string
required

The name of the agent

id
string | null

The id of the agent

description
string | null

The description of the agent

instructions
string | null

Free-text instructions that shape how the agent responds, such as its audience, role, tone, guardrails, and answer format

Maximum string length: 10000
created_at
string<date-time> | null

The date when the agent was created

updated_at
string<date-time> | null

The date when the agent was last updated

permissions
Permission · object[] | null

The permissions of the agent

sources
DataSource · object[] | null

The sources of the agent

glossary_ids
string[] | null

The IDs of glossaries associated with the agent

skill_ids
string[] | null

The IDs of skills associated with the agent

dynamic_filters
AgentMetadataFilterField · object[] | null

Low-cardinality metadata fields that the agent may use to scope searches

dynamic_filter_instructions
string | null

Instructions that help the agent select metadata filter values for a question

Maximum string length: 10000
llm_profile_id
string | null

The ID of the LLM profile that the agent uses, one of the profiles from GET /tenants/{tenant}/llm_profiles. The agent uses the tenant default model when it is null.